libinput_event_touch Struct Reference
Touch events

Touch event representing a touch down, move or up, as well as a touch cancel and touch frame events. More...

`#include <libinput.h>`

## Detailed Description

Touch event representing a touch down, move or up, as well as a touch cancel and touch frame events.

Valid event types for this event are LIBINPUT_EVENT_TOUCH_DOWN, LIBINPUT_EVENT_TOUCH_MOTION, LIBINPUT_EVENT_TOUCH_UP, LIBINPUT_EVENT_TOUCH_CANCEL and LIBINPUT_EVENT_TOUCH_FRAME.

The documentation for this struct was generated from the following file:

- /build/libinput/src/libinput-1.9.4/src/libinput.h